package com.liquidnet.service.sweet.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class SweetWechatUsersRelationVo implements Serializable, Cloneable {

    private static final long serialVersionUID = -7943731833999082046L;

    /**
     * wechat_relation_id
     */
    private String wechatRelationId;

    /**
     * unionId
     */
    private String unionId;

    /**
     * adam用户id
     */
    private String userId;

    /**
     * adam用户手机号
     */
    private String userPhone;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 更新时间
     */
    private LocalDateTime updatedAt;

    private static final SweetWechatUsersRelationVo obj = new SweetWechatUsersRelationVo();
    public static SweetWechatUsersRelationVo getNew() {
        try {
            return (SweetWechatUsersRelationVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetWechatUsersRelationVo();
        }
    }

}
